/* {=================================================================
 *
 * Float buffer routines
 * See Copyright Notice in luapgplot.h
 * $Id: $
 *
 * ==================================================================} */

#ifndef fbuffer_h
#define fbuffer_h

#include <lua.h>
#include <lauxlib.h>

#define BUF_FREE (0)
#define BUF_BUSY (1)

#define freefbuffer(fb) ((fb)->status = BUF_FREE)

typedef struct {
  float *data;
  size_t size;
  int status;
  int pos;
} fbuffer;

fbuffer *getfbuffer (lua_State *L, int pos, size_t size);

#endif
